Skip to content

Get a profile

GET
/v1/profiles/{key}
curl --request GET \
--url https://api.inboxcnx.com/v1/profiles/example \
--header 'Authorization: Bearer <token>'

Returns one profile by its key, with its retention, monthly limits and the number of grants on it.

Requires the write:application scope.

key
required
string
/^[a-z0-9][a-z0-9_-]{0,31}$/

The profile

Media typeapplication/json
object
key
required
string
/^[a-z0-9][a-z0-9_-]{0,31}$/
retentionDays
required
integer
<= 36500
deletedRetentionDays
required
integer | null
<= 36500
maxMessagesPerMonth
required
integer | null
> 0 <= 2147483647
maxStoredBytesPerMonth
required
integer | null
> 0 <= 9007199254740991
isDefault
required
boolean
archivedAt
required
string | null
grantCount
required
integer
createdAt
required
string
updatedAt
required
string

Example

{
"key": "pro",
"retentionDays": 90,
"deletedRetentionDays": 7,
"maxMessagesPerMonth": 10000,
"maxStoredBytesPerMonth": 5368709120,
"isDefault": false,
"archivedAt": null,
"grantCount": 12,
"createdAt": "2026-10-01T10:00:00.000Z",
"updatedAt": "2026-10-01T10:00:00.000Z"
}

The credential lacks the write:application scope

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Example generated

{
"error": {
"code": "example",
"message": "example"
}
}

No such profile

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Example generated

{
"error": {
"code": "example",
"message": "example"
}
}